#~ '(C) 2010, Links System Software
#~ 'Feedback information
#~ 'E-mail1: designer@ls-software.ru
#~ 'E-mail2: kirill2007_77@mail.ru (search this e-mail to add skype contact)
#~ 'icq: 328-958-369

#~ layers.rb ver. 1.0.  25-Aug-10
#~ Layers script. It contains a class, which adds or uses layers for entities, which represent
#~ calculation results.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# This is a class which creates layers for entities, which represent calculation results

class Lss_Chrono_Layers
  attr_accessor :test_pnts_layer
  attr_accessor :rays_layer
  attr_accessor :svf_layer
  attr_accessor :wvf_layer
  attr_accessor :test_face_layer
  
  # Create layers
  def initialize
    @layers=Sketchup.active_model.layers
    @test_pnts_layer=nil
    @rays_layer=nil
    @svf_layer=nil
    @wvf_layer=nil
    @test_face_layer=nil
    self.scan_4_layers
    @test_pnts_layer=@layers.add($chronoluxStrings.GetString("LSS Chronolux Test Points"))
    @rays_layer=@layers.add($chronoluxStrings.GetString("LSS Chronolux Rays"))
    @svf_layer=@layers.add($chronoluxStrings.GetString("LSS Chronolux SVF"))
    @wvf_layer=@layers.add($chronoluxStrings.GetString("LSS Chronolux WVF"))
    @test_face_layer=@layers.add($chronoluxStrings.GetString("LSS Chronolux Test Face"))
  end
  
  #Scan model for existing layers
  def scan_4_layers
    @layers.each{|lr|
      @test_pnts_layer=lr if lr.name==$chronoluxStrings.GetString("LSS Chronolux Test Points")
      @rays_layer=lr if lr.name==$chronoluxStrings.GetString("LSS Chronolux Rays")
      @svf_layer=lr if lr.name==$chronoluxStrings.GetString("LSS Chronolux SVF")
      @wvf_layer=lr if lr.name==$chronoluxStrings.GetString("LSS Chronolux WVF")
      @test_face_layer=lr if lr.name==$chronoluxStrings.GetString("LSS Chronolux Test Face")
    }
  end
end #class Lss_Chrono_Layers